org.keycloak.authorization.protection.resource

## Class ResourceService

- java.lang.Object
- - org.keycloak.authorization.protection.resource.ResourceService

-     public class ResourceService
      extends Object

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceService(ResourceServer resourceServer, Identity identity, ResourceSetService resourceManager, AuthorizationProvider authorization)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `create(UmaResourceRepresentation umaResource)`
    `javax.ws.rs.core.Response` | `delete(String id)`
    `Set<String>` | `find(String filter)`
    `RegistrationResponse` | `findById(String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceService

          public ResourceService(ResourceServer resourceServer,
                                 Identity identity,
                                 ResourceSetService resourceManager,
                                 AuthorizationProvider authorization)

  - ### Method Detail

    - #### create

          @POST
           @Consumes(value="application/json")
           @Produces(value="application/json")
          public javax.ws.rs.core.Response create(UmaResourceRepresentation umaResource)

    - #### delete

          @Path(value="/{id}")
           @DELETE
          public javax.ws.rs.core.Response delete(@PathParam(value="id")
                                                                                String id)

    - #### findById

          @Path(value="/{id}")
           @GET
           @Produces(value="application/json")
          public RegistrationResponse findById(@PathParam(value="id")
                                                                                                               String id)

    - #### find

          @GET
           @Produces(value="application/json")
          public Set<String> find(@QueryParam(value="filter")
                                                                            String filter)

Copyright © 2016 JBoss by Red Hat. All rights reserved.